package com.qmth.distributed.print.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程查看result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowViewResult extends FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "流程节点步骤")
    List<FlowViewTaskResult> flowTaskResultList;

    @ApiModelProperty(value = "流程审批信息")
    List<TFFlowLogResult> tfFlowLogResultList;

    public FlowViewResult() {

    }

    public FlowViewResult(String taskName, String taskKey, Integer setup) {
        setTaskName(taskName);
        setTaskKey(taskKey);
        setSetup(setup);
    }

    public FlowViewResult(Long flowId, String taskName, String taskKey, Integer setup) {
        setFlowId(flowId);
        setTaskName(taskName);
        setTaskKey(taskKey);
        setSetup(setup);
    }

    public List<TFFlowLogResult> getTfFlowLogResultList() {
        return tfFlowLogResultList;
    }

    public void setTfFlowLogResultList(List<TFFlowLogResult> tfFlowLogResultList) {
        this.tfFlowLogResultList = tfFlowLogResultList;
    }

    public List<FlowViewTaskResult> getFlowTaskResultList() {
        return flowTaskResultList;
    }

    public void setFlowTaskResultList(List<FlowViewTaskResult> flowTaskResultList) {
        this.flowTaskResultList = flowTaskResultList;
    }
}
